onload=function() {
	divTransparente=document.getElementById("Fondo");
	divMensaje=document.getElementById("FondoMensaje");	
	claseNormal="input";
	claseError="inputError";
	claseDisable="inputDisable";
	NumElementos = document.formulario.length;	
	form=document.getElementById("formulario");	
	//limpiaForm(NumElementos);	
	}
function SoloNumeros(e) { // 1
    tecla = (document.all) ? e.keyCode : e.which; // 2
    if (tecla==8 || tecla==0) return true; // 3
    //patron =/[A-Za-z\s]/; // Solo Letras
	patron =/[0-9\d]/; // Solo Numeros
    te = String.fromCharCode(tecla); // 5
    return patron.test(te); // 6	
	}	
function MensajeTip(Mensaje) {
	Tip(Mensaje, BALLOON, true, ABOVE, true, OFFSETX, -17, 
		FADEIN, 600, FADEOUT, 600, PADDING, 8);
}

function VerMensaje(Tipo,Mensaje) {
	/*L=Loading, E=Error, N=Nuevo, U=Update	*/
	var Msj = "";
	var Img = "";
	if(Tipo=="L") { 
		Img = "loading.gif";
		Mensaje = "Los Datos estan siendo Enviados<br>Por favor Espere unos Instantes";
		Link = "ocultaMensaje()";
		}
	else if(Tipo=="E") {
		Img = "error.gif";
		Link = "ocultaMensaje()";
		}
	else if(Tipo=="N"){
		Mensaje = "Los Datos se Registraron en el Sistema<br>Satisfactoriamente";
		Img = "ok.gif";
		Link = "ocultaMensaje()";
		}
	else if(Tipo=="U"){
		Mensaje = "Los Datos se Actualizaron en el Sistema<br>Satisfactoriamente";
		Img = "ok.gif";
		Link = "ocultaMensaje()";
		}
	else if(Tipo=="A"){
		Mensaje = "Bienvenido a Nuestro Sistema <b>"+Mensaje;
		Mensaje = Mensaje + "</b><br>Disfrute de todos los Beneficios.";
		Img = "ok.gif";
		Link = "location='index.php'";
		}
	Msj = Msj+"<div align=\"center\">";
	Msj = Msj+"<div align=\"center\" style=\"margin-top:140px\">";
	Msj = Msj+"<img src=\"images/"+Img+"\" width=32 height=32/>";
	Msj = Msj+"<div align=\"center\" style=\"margin-top:15px\">";
	Msj = Msj+"</div>";
	Msj = Msj+Mensaje;
	Msj = Msj+"</div>";
	Msj = Msj+"<div align=\"center\" style=\"margin-top:15px\">";
	Msj = Msj+"<button style='width:70px; height:20px; font-size:10px;' ";
	Msj = Msj+"onClick=\""+Link+"\" type='button'>Aceptar</button></div></div>";
	return Msj;
	}

function nuevoAjax() { 
	var xmlhttp=false; 
	try { 
		// No IE
		xmlhttp=new ActiveXObject("Msxml2.XMLHTTP"); 
		}
	catch(e) { 
		try { 
			// IE 
			xmlhttp=new ActiveXObject("Microsoft.XMLHTTP"); 
			} 
		catch(E) { xmlhttp=false; }
		}
	if (!xmlhttp && typeof XMLHttpRequest!="undefined") { xmlhttp=new XMLHttpRequest(); } 
	return xmlhttp; 
	}
	
function soloMayusculas(field) {
	field.value = field.value.toUpperCase()
	}
	
function limpiaForm(NumElementos) {
	for(i=0; i<=parseInt(NumElementos)-1; i++) {
		form.elements[i].className=claseNormal;
		}
	/*document.getElementById("inputComentario").className=claseNormal;*/
	}

function campoError(campo) {
	campo.className=claseError;
	error=1;
	}

function campoDisable(campo) {
	campo.className=claseDisable;
	error=1;
	}
	
function ocultaMensaje() {
	divTransparente.style.display="none";
	}

function muestraMensaje(mensaje) {
	divMensaje.innerHTML=mensaje;
	divTransparente.style.display="block";
	}

function eliminaEspacios(cadena) {
	// Funcion para eliminar espacios delante y detras de cada cadena
	while(cadena.charAt(cadena.length-1)==" ") cadena=cadena.substr(0, cadena.length-1);
	while(cadena.charAt(0)==" ") cadena=cadena.substr(1, cadena.length-1);
	cadena= cadena.replace('&','[amp]');
	return cadena;
	}

function validaLongitud(valor, permiteVacio, minimo, maximo) {
	var cantCar=valor.length;
	if(valor=="") {
		if(permiteVacio) return true;
		else return false;
		}
	else {
		if(cantCar>=minimo && cantCar<=maximo) return true;
		else return false;
		}
	}

function ValidaBisisesto(anio){
	if ( ( anio % 100 != 0) && ((anio % 4 == 0) || (anio % 400 == 0))) {
		return true;
		}
	else {
		return false;
		}
	}	


function validaFecha(Cadena){  
	if (Cadena == "" ) return false;
	if (!/^\d{2}\/\d{2}\/\d{4}$/.test(Cadena)) return false;

    var Fecha= new String(Cadena)   // Crea un string 
    var RealFecha= new Date()   // Para sacar la fecha de hoy    
    var Ano= new String(Fecha.substring(Fecha.lastIndexOf("/")+1,Fecha.length))  
    var Mes= new String(Fecha.substring(Fecha.indexOf("/")+1,Fecha.lastIndexOf("/")))   
    var Dia= new String(Fecha.substring(0,Fecha.indexOf("/")))  
  
    if (isNaN(Ano) || Ano.length<4 || parseFloat(Ano)<1900) return false;
    if (isNaN(Mes) || parseFloat(Mes)<1 || parseFloat(Mes)>12) return false;
    if (isNaN(Dia) || parseInt(Dia, 10)<1 || parseInt(Dia, 10) > 31) return false ;

	if(Mes=="1" || Mes=="01" || Mes=="3" || Mes=="03" || Mes=="5" || Mes=="05") numDias=31;
	if(Mes=="7" || Mes=="07" || Mes=="8" || Mes=="08" || Mes=="10" || Mes=="12") numDias=31;
	if(Mes=="4" || Mes=="04" || Mes=="6" || Mes=="06" || Mes=="9" || Mes=="09" || Mes=="11") 
		numDias=30;
	if(Mes=="2" || Mes=="02") {
		 if (ValidaBisisesto(Ano)) numDias=29;
		 else numDias=28;
		}
	
	if (Dia>numDias || Dia==0) return false;
  	return true;   
	} 
function validaNumero(Valor) {	
	if(Valor=='') return false;
	var reg =  /^[0-9]*\.?[0-9]*$/;
	if(reg.test(Valor)) return true;
	else return false;
//	if(isNaN(Campo) || Campo.split('.')[1].length>5) return false;
//	return true;
	} 
	
function validaCorreo(valor) {
	if (valor) {
		var reg=/(^[a-zA-Z0-9._-]{1,30})@([a-zA-Z0-9.-]{1,30}$)/;
		if(reg.test(valor)) return true;
		else return false;
		}
	else return true;
	}

function validaCombo(valor) {
	if(valor=="Ninguno" || valor=="") return false;
	else return true;
	}
	
function validaForm() {
	urlDestino="funciones/fn_registrar_usuario.php";
	limpiaForm(NumElementos);
	if(form.opt.value=="UPDATE") {
		campoDisable(form.apat);
		campoDisable(form.amat);
		campoDisable(form.nomb);
		campoDisable(form.cdoc);
		campoDisable(form.ndoc);
		campoDisable(form.sex);
		campoDisable(form.correo);
		}
	error=0;
	msjError="";
	var apate=eliminaEspacios(form.apat.value);
	var amate=eliminaEspacios(form.amat.value);
	var name=eliminaEspacios(form.nomb.value);
	var cdocu=eliminaEspacios(form.cdoc.value);
	var ndocu=eliminaEspacios(form.ndoc.value);	
	var fnaci=eliminaEspacios(form.fnac.value);
	var sexo=eliminaEspacios(form.sex.value);
	var esciv=eliminaEspacios(form.esci.value);
	var telef=eliminaEspacios(form.tele.value);
	var celul=eliminaEspacios(form.celu.value);
	var email=eliminaEspacios(form.correo.value);
	var email2=eliminaEspacios(form.correo2.value);
	var email3=eliminaEspacios(form.correo3.value);
	var paiss=eliminaEspacios(form.pais.value);
	var depar=eliminaEspacios(form.depa.value);
	var provi=eliminaEspacios(form.prov.value);
	var distr=eliminaEspacios(form.dist.value);
	var czona=eliminaEspacios(form.czon.value);
	var dzona=eliminaEspacios(form.dzon.value);
	var cviaa=eliminaEspacios(form.cvia.value);
	var dviaa=eliminaEspacios(form.dvia.value);
	var numero=eliminaEspacios(form.nro.value);
	var inter=eliminaEspacios(form.inte.value);
	
	var usuario=eliminaEspacios(form.user.value);
	var clave=eliminaEspacios(form.pass.value);
	var opcion=eliminaEspacios(form.opt.value);
	
	if(!validaLongitud(apate, 0, 4, 50)) {
		campoError(form.apat);
		msjError="<b>Apellido Paterno:</b> Este Campo es Obligatorio<br>"
		}
	if(!validaLongitud(ndocu, 0, 8, 11)) {
		campoError(form.ndoc);
		msjError=msjError+"<b>Nro. Documento:</b> Este Campo es Obligatorio<br>"
		}	
		
	if(!validaFecha(fnaci)) {
		campoError(form.fnac);
		msjError=msjError+"<b>Fecha Nacimiento:</b> Contiene un Formato Invalido<br>"
		}
		
	if(!validaLongitud(email, 0, 1, 80)) {
		campoError(form.correo);
		msjError=msjError+"<b>Correo Electronico 1:</b> Este Campo es Obligatorio<br>"
		}	
		
	if(!validaCorreo(email)) {
		campoError(form.correo);
		msjError=msjError+"<b>Correo Electronico 1:</b> No es un Formato Valido<br>"
		}
	if(!validaCorreo(email2)) {
		campoError(form.correo2);
		msjError=msjError+"<b>Correo Electronico 2:</b> No es un Formato Valido<br>"
		}
	if(!validaCorreo(email3)) {
		campoError(form.correo3);
		msjError=msjError+"<b>Correo Electronico 3:</b> No es un Formato Valido<br>"
		}
	if(!validaCombo(form.pais.value)) {
		campoError(form.pais);
		msjError=msjError+"<b>País:</b> Seleccione un País<br>"
		}
	if(!validaCombo(form.depa.value)) {
		campoError(form.depa);
		msjError=msjError+"<b>Departamento:</b> Seleccione un Departamento<br>"
		}
	if(!validaCombo(form.prov.value)) {
		campoError(form.prov);
		msjError=msjError+"<b>Provincia:</b> Seleccione una Provincia<br>"
		}
	if(!validaCombo(form.dist.value)) {
		campoError(form.dist);
		msjError=msjError+"<b>Distrito:</b> Seleccione un Distrito<br>"
		}
	if(!validaLongitud(dviaa, 0, 4, 50)) {
		campoError(form.dvia);
		msjError=msjError+"<b>Descripción Vía:</b> Este Campo es Obligatorio<br>"
		}
	if(!validaLongitud(numero, 0, 2, 20)) {
		campoError(form.nro);
		msjError=msjError+"<b>Número/Mz/Lote:</b> Este Campo es Obligatorio<br>"
		}
	if(!validaLongitud(usuario, 0, 5, 20)) {
		campoError(form.user);
		msjError=msjError+"<b>Nombre de Usuario:</b> Debe Contener entre 5 y 20 Caraceteres<br>"
		}
	if(!validaLongitud(clave, 0, 5, 20)) {
		campoError(form.pass);
		msjError=msjError+"<b>Contraseña:</b> Debe Contener entre 5 y 20 Caraceteres<br>"
		}
	
	if(error==1) muestraMensaje(VerMensaje("E",msjError));
	else {
		muestraMensaje(VerMensaje("L",""));
		
		var ajax=nuevoAjax();
		ajax.open("POST", urlDestino, true);
		ajax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
		var datos = "apat="+apate+"&amat="+amate+"&nomb="+name+"&cdoc="+cdocu+"&ndoc="+ndocu+"&fnac="+fnaci+"&sex="+sexo+"&esci="+esciv+"&tele="+telef+"&celu="+celul+"&correo="+email+"&correo2="+email2+"&correo3="+email3+"&pais="+paiss+"&depa="+depar+"&prov="+provi+"&dist="+distr+"&czon="+czona+"&dzon="+dzona+"&cvia="+cviaa+"&dvia="+dviaa+"&nro="+numero+"&inte="+inter+"&user="+usuario+"&pass="+clave+"&opt="+opcion;
		ajax.send(datos);
		
		ajax.onreadystatechange=function() {
			if (ajax.readyState==4) {
				var respuesta=ajax.responseText;
				if(respuesta=="OK") {
					if(form.opt.value=="NEW") {
						var texto="<div align=\"center\"><div align=\"center\" style=\"margin-top:140px\"><img src=\"images/ok.gif\" width=32 height=32/></div><div align=\"center\" style=\"margin-top:15px\">Gracias por Registrarse.<br>En Nuestro Sistema<br>Ahora podra disfrutar de todos los beneficios</div><div align=\"center\" style=\"margin-top:15px\"><button style='width:70px; height:20px; font-size:10px;' onClick=\"location='index.php'\" type='button'>Aceptar</button></div></div>";
						}
					else {
						var texto="<div align=\"center\"><div align=\"center\" style=\"margin-top:140px\"><img src=\"images/ok.gif\" width=32 height=32/></div><div align=\"center\" style=\"margin-top:15px\"><b>"+form.user.value+"</b>:<br>Sus Datos han sido Actualizados<br>Correctamente</div><div align=\"center\" style=\"margin-top:15px\"><button style='width:70px; height:20px; font-size:10px;' onClick='ocultaMensaje()' type='button'>Aceptar</button></div></div>";
						}
					}
				else {
					if(respuesta=="ndoc") {
						campoError(form.ndoc);
						msjError="<b>Nro. Documento:</b> El Nro. de Documento ya Existe<br>"
						}
					else if(respuesta=="correo") {
						campoError(form.correo);
						msjError="<b>Correo Electronico:</b> El Correo Electronico ya Existe<br>"
						}
					else if(respuesta=="user") {
						campoError(form.user);
						msjError="<b>Nombre Usuario:</b> El Usuario ya Existe<br>"
						}
					else if(respuesta=="dni") {
						campoError(form.ndoc);
						msjError=msjError+"<b>Nro. Documento:</b> El DNI debe contener 8 Digitos<br>"
						}
					else if(respuesta=="ruc") {
						campoError(form.ndoc);
						msjError=msjError+"<b>Nro. Documento:</b> El RUC debe contener 11 Digitos<br>"
						}
					else  msjError=respuesta;
					var texto="<div align=\"center\"><div align=\"center\" style=\"margin-top:140px\"><img src=\"images/error.gif\" width=32 height=32/></div><div align=\"center\" style=\"margin-top:15px\">"+msjError+"</div><div align=\"center\" style=\"margin-top:15px\"><button style='width:70px; height:20px; font-size:10px;' onClick='ocultaMensaje()' type='button'>Aceptar</button></div></div>";
					}
				muestraMensaje(texto);
			}
		}
	}
}	

	function validaEmpresa() {
	urlDestino="funciones/fn_registrar_empresa.php";
	limpiaForm(NumElementos);
	if(form.opt.value=="UPDATE") {
		campoDisable(form.ruc);
		campoDisable(form.razon);
		}
	error=0;
	msjError="";
	var rucc=eliminaEspacios(form.ruc.value);
	var razons=eliminaEspacios(form.razon.value);
	var giroo=eliminaEspacios(form.giro.value);
	var telef=eliminaEspacios(form.tele.value);
	var cargoo=eliminaEspacios(form.cargo.value);
	var paiss=eliminaEspacios(form.pais.value);
	var depar=eliminaEspacios(form.depa.value);
	var provi=eliminaEspacios(form.prov.value);
	var distr=eliminaEspacios(form.dist.value);
	var czona=eliminaEspacios(form.czon.value);
	var dzona=eliminaEspacios(form.dzon.value);
	var cviaa=eliminaEspacios(form.cvia.value);
	var dviaa=eliminaEspacios(form.dvia.value);
	var numero=eliminaEspacios(form.nro.value);
	var inter=eliminaEspacios(form.inte.value);
	var opcion=eliminaEspacios(form.opt.value);
	var valorr=eliminaEspacios(form.valor.value);
	
	if(!validaLongitud(rucc, 0, 11, 11)) {
		campoError(form.ruc);
		msjError=msjError+"<b>Nro. RUC:</b> Este Campo es Obligatorio de 11 Digitos<br>"
		}	
	if(!validaLongitud(razons, 0, 4, 80)) {
		campoError(form.razon);
		msjError=msjError+"<b>Razon Social:</b> Este Campo es Obligatorio<br>"
		}
	if(!validaCombo(giroo)) {
		campoError(form.giro);
		msjError=msjError+"<b>Giro Empresa:</b> Seleccione un Giro de la Empresa<br>"
		}
	if(!validaCombo(cargoo)) {
		campoError(form.cargo);
		msjError=msjError+"<b>Cargo que OCupa:</b> Seleccione un Cargo que Ocupa<br>"
		}
	if(!validaCombo(form.pais.value)) {
		campoError(form.pais);
		msjError=msjError+"<b>País:</b> Seleccione un País<br>"
		}
	if(!validaCombo(form.depa.value)) {
		campoError(form.depa);
		msjError=msjError+"<b>Departamento:</b> Seleccione un Departamento<br>"
		}
	if(!validaCombo(form.prov.value)) {
		campoError(form.prov);
		msjError=msjError+"<b>Provincia:</b> Seleccione una Provincia<br>"
		}
	if(!validaCombo(form.dist.value)) {
		campoError(form.dist);
		msjError=msjError+"<b>Distrito:</b> Seleccione un Distrito<br>"
		}
	if(!validaLongitud(dviaa, 0, 4, 50)) {
		campoError(form.dvia);
		msjError=msjError+"<b>Descripción Vía:</b> Este Campo es Obligatorio<br>"
		}
	if(!validaLongitud(numero, 0, 2, 20)) {
		campoError(form.nro);
		msjError=msjError+"<b>Número/Mz/Lote:</b> Este Campo es Obligatorio<br>"
		}
	
	if(error==1) muestraMensaje(VerMensaje("E",msjError));
	else {
		muestraMensaje(VerMensaje("L",""));
		
		var ajax=nuevoAjax();
		ajax.open("POST", urlDestino, true);
		ajax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
		ajax.send("ruc="+rucc+"&razon="+razons+"&giro="+giroo+"&cargo="+cargoo+"&tele="+telef+"&pais="+paiss+"&depa="+depar+"&prov="+provi+"&dist="+distr+"&czon="+czona+"&dzon="+dzona+"&cvia="+cviaa+"&dvia="+dviaa+"&nro="+numero+"&inte="+inter+"&opt="+opcion+"&valor="+valorr);
		
		ajax.onreadystatechange=function() {
			if (ajax.readyState==4) {
				var respuesta=ajax.responseText;
				if(respuesta=="OK") {
					if(opcion=="NEW") var texto=VerMensaje("N","");
					else var texto=VerMensaje("U","");
					}
				else {
					if(respuesta=="ruc") {
						campoError(form.ruc);
						msjError="<b>Nro. RUC:</b> El Nro. de RUC "+rucc+"<br>";
						msjError=msjError+"Ya se Encuentra registrado en el Sistema<br>";
						}
					else msjError=respuesta;
					var texto=VerMensaje("E",msjError);
					}
				muestraMensaje(texto);
			}
		}
	}
}

function validaCliente() {	
	limpiaForm(NumElementos);
	var valorenvia ="";
	if(form.opt.value=="UPDATE") {
		campoDisable(form.apat);
		campoDisable(form.amat);
		campoDisable(form.nomb);
		campoDisable(form.cdoc);
		campoDisable(form.ndoc);
		}
	urlDestino="funciones/fn_registrar_cliente.php";
	error=0;
	msjError="";
	var apate=eliminaEspacios(form.apat.value);
	var amate=eliminaEspacios(form.amat.value);
	var name =eliminaEspacios(form.nomb.value);
	var cdocu=eliminaEspacios(form.cdoc.value);
	var ndocu=eliminaEspacios(form.ndoc.value);	
	var telef=eliminaEspacios(form.tele.value);
	var celul=eliminaEspacios(form.celu.value);
	var email=eliminaEspacios(form.correo.value);
	var paiss=eliminaEspacios(form.pais.value);
	var depar=eliminaEspacios(form.depa.value);
	var provi=eliminaEspacios(form.prov.value);
	var distr=eliminaEspacios(form.dist.value);
	var czona=eliminaEspacios(form.czon.value);
	var dzona=eliminaEspacios(form.dzon.value);
	var cviaa=eliminaEspacios(form.cvia.value);
	var dviaa=eliminaEspacios(form.dvia.value);
	var numero=eliminaEspacios(form.nro.value);
	var inter=eliminaEspacios(form.inte.value);
		
	var opcion=eliminaEspacios(form.opt.value);
	var valorr=eliminaEspacios(form.valor.value);
	
	if(!validaLongitud(apate, 0, 4, 50)) {
		campoError(form.apat);
		msjError="<b>Apellido Paterno / Razón Social :</b> Este Campo es Obligatorio<br>"
		}
	if(!validaCorreo(email)) {
		campoError(form.correo);
		msjError=msjError+"<b>Correo Electronico:</b> No es Formato Valido<br>"
		}
	if(!validaCombo(form.pais.value)) {
		campoError(form.pais);
		msjError=msjError+"<b>País:</b> Seleccione un País<br>"
		}
	if(!validaCombo(form.depa.value)) {
		campoError(form.depa);
		msjError=msjError+"<b>Departamento:</b> Seleccione un Departamento<br>"
		}
	if(!validaCombo(form.prov.value)) {
		campoError(form.prov);
		msjError=msjError+"<b>Provincia:</b> Seleccione una Provincia<br>"
		}
	if(!validaCombo(form.dist.value)) {
		campoError(form.dist);
		msjError=msjError+"<b>Distrito:</b> Seleccione un Distrito<br>"
		}
	if(!validaLongitud(dviaa, 0, 4, 50)) {
		campoError(form.dvia);
		msjError=msjError+"<b>Descripción Vía:</b> Este Campo es Obligatorio<br>"
		}
	if(!validaLongitud(numero, 0, 2, 20)) {
		campoError(form.nro);
		msjError=msjError+"<b>Número/Mz/Lote:</b> Este Campo es Obligatorio<br>"
		}
		
	if(form.opt.value=="NEW"){
		var empr=eliminaEspacios(form.emp.value);
		var tipo=eliminaEspacios(form.tip.value);
		var condi=eliminaEspacios(form.cond.value);
		var seri=eliminaEspacios(form.ser.value);	
		var corr=eliminaEspacios(form.cor.value);
		var femis=eliminaEspacios(form.femi.value);
		var fvenc=eliminaEspacios(form.fven.value);
		var moned=eliminaEspacios(form.mone.value);
		var monto=eliminaEspacios(form.mont.value);
		var saldo=eliminaEspacios(form.sald.value);
		var aliass=eliminaEspacios(form.alias.value);
		
		if(!validaCombo(form.emp.value)) {
			campoError(form.emp);
			msjError=msjError+"<b>Empresa Afectada :</b> Seleccione una Empresa Afectada<br>"
			}
		if(!validaCombo(form.tip.value)) {
			campoError(form.tip);
			msjError=msjError+"<b>Tipo Doc. Pago :</b> Seleccione un Tipo de Documento de Pago<br>"
			}	
		if(!validaCombo(form.cond.value)) {
			campoError(form.cond);
			msjError=msjError+"<b>Cond. Venta :</b> Seleccione una Condicion de Venta<br>"
			}
		if(!validaLongitud(seri, 0, 1, 3)) {
			campoError(form.ser);
			msjError=msjError+"<b>Número Serie :</b> Este Campo es Obligatorio<br>"
			}
		if(!validaLongitud(corr, 0, 1, 7)) {
			campoError(form.cor);
			msjError=msjError+"<b>Número Correlativo :</b> Este Campo es Obligatorio<br>"
			}
		if(!validaFecha(femis)) {
			campoError(form.femi);
			msjError=msjError+"<b>Fecha Emisión:</b> Contiene un Formato Invalido<br>"
			}
		if(!validaFecha(fvenc)) {
			campoError(form.fven);
			msjError=msjError+"<b>Fecha Vencimiento:</b> Contiene un Formato Invalido<br>"
			}
		if(!validaCombo(form.mone.value)) {
			campoError(form.mone);
			msjError=msjError+"<b>Moneda :</b> Seleccione un Tipo de Moneda<br>"
			}
		if(!validaNumero(monto)) {
			campoError(form.mont);
			msjError=msjError+"<b>Monto Total:</b> Contiene un Formato Invalido<br>"
			}
		if(!validaNumero(saldo)) {
			campoError(form.sald);
			msjError=msjError+"<b>Saldo Pendiente :</b> Contiene un Formato Invalido<br>";
			}
		valorenvia = "&emp="+empr+"&tip="+tipo+"&cond="+condi+"&ser="+escape(seri)+
					 "&cor="+escape(corr)+"&femi="+femis+"&fven="+fvenc+"&mone="+moned+
					 "&mont="+monto+"&sald="+saldo+"&alias="+aliass;
		}
		
	if(error==1) muestraMensaje(VerMensaje("E",msjError));		
	else {	
		muestraMensaje(VerMensaje("L",""));
		var ajax=nuevoAjax();
		ajax.open("POST", urlDestino, true);
		ajax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
		ajax.send("apat="+escape(apate)+"&amat="+escape(amate)+"&nomb="+escape(name)+
				  "&cdoc="+cdocu+"&ndoc="+ndocu+"&tele="+telef+"&celu="+celul+
				  "&correo="+email+"&pais="+paiss+"&depa="+depar+"&prov="+provi+
				  "&dist="+distr+"&czon="+czona+"&dzon="+escape(dzona)+"&cvia="+
				  cviaa+"&dvia="+escape(dviaa)+"&nro="+numero+"&inte="+inter+valorenvia+
				  "&opt="+opcion+"&valor="+valorr);	
		
		ajax.onreadystatechange=function() {
			if (ajax.readyState==4) {
				var respuesta=ajax.responseText;
				if(respuesta=="OK") {
					if(opcion=="NEW") var texto=VerMensaje("N","");
					else var texto=VerMensaje("U","");
					}
				else {
					if(respuesta=="ndoc") {
						campoError(form.ndoc);
						msjError="<b>Nro. Documento:</b> El Nro. de Documento "+ndocu+"<br>";
						msjError=msjError+"Ya se Encuentra registrado en el Sistema<br>";
						}
					else if(respuesta=="correo") {
						campoError(form.correo);
						msjError="<b>Correo Electronico:</b> El Correo "+email+"<br>";
						msjError=msjError+"Ya se Encuentra registrado en el Sistema<br>";
						}
					else if(respuesta=="dni") {
						campoError(form.ndoc);
						msjError=msjError+"<b>Nro. Documento:</b> El DNI debe contener 8 Digitos<br>"
						}
					else if(respuesta=="ruc") {
						campoError(form.ndoc);
						msjError=msjError+"<b>Nro. Documento:</b> El RUC debe contener 11 Digitos<br>"
						}
					else if(respuesta=="docpago") {
						campoError(form.tip);
						campoError(form.ser);
						campoError(form.cor);
						msjError="<b>Número Correlativo:</b> El Documento "+seri+"-"+corr+"<br>";
						msjError=msjError+"Ya se Encuentra registrado en el Sistema<br>";
						}
					else msjError=respuesta;
					var texto=VerMensaje("E",msjError);
					}
				muestraMensaje(texto);
			}
		}
	}
}

function validaDeuda() {	
	limpiaForm(NumElementos);
	campoDisable(form.apat);
	campoDisable(form.amat);
	campoDisable(form.nomb);
	campoDisable(form.cdoc);
	campoDisable(form.ndoc);

	urlDestino="funciones/fn_registrar_deuda.php";
	error=0;
	msjError="";
	var empr=eliminaEspacios(form.emp.value);
	var tipo=eliminaEspacios(form.tip.value);	
	var condi=eliminaEspacios(form.cond.value);
	var seri=eliminaEspacios(form.ser.value);	
	var corr=eliminaEspacios(form.cor.value);
	var femis=eliminaEspacios(form.femi.value);
	var fvenc=eliminaEspacios(form.fven.value);
	var moned=eliminaEspacios(form.mone.value);
	var monto=eliminaEspacios(form.mont.value);
	var saldo=eliminaEspacios(form.sald.value);
	var aliass=eliminaEspacios(form.alias.value);
	var opcion=eliminaEspacios(form.opt.value);
	var valorr=eliminaEspacios(form.valor.value);
	if(!validaCombo(form.emp.value)) {
		campoError(form.emp);
		msjError=msjError+"<b>Empresa Afectada :</b> Seleccione una Empresa Afectada<br>"
		}
	if(!validaCombo(form.tip.value)) {
		campoError(form.tip);
		msjError=msjError+"<b>Tipo Doc. Pago :</b> Seleccione un Tipo de Documento de Pago<br>"
		}
	if(!validaCombo(form.cond.value)) {
		campoError(form.cond);
		msjError=msjError+"<b>Cond. Venta :</b> Seleccione una COndición de Venta<br>"
		}
	if(!validaLongitud(seri, 0, 1, 3)) {
		campoError(form.ser);
		msjError=msjError+"<b>Número Serie :</b> Este Campo es Obligatorio<br>"
		}
	if(!validaLongitud(corr, 0, 1, 7)) {
		campoError(form.cor);
		msjError=msjError+"<b>Número Correlativo :</b> Este Campo es Obligatorio<br>"
		}
	if(!validaFecha(femis)) {
		campoError(form.femi);
		msjError=msjError+"<b>Fecha Emisión:</b> Contiene un Formato Invalido<br>"
		}
	if(!validaFecha(fvenc)) {
		campoError(form.fven);
		msjError=msjError+"<b>Fecha Vencimiento:</b> Contiene un Formato Invalido<br>"
		}
	if(!validaCombo(form.mone.value)) {
		campoError(form.mone);
		msjError=msjError+"<b>Moneda :</b> Seleccione un Tipo de Moneda<br>"
		}
	if(!validaNumero(monto)) {
		campoError(form.mont);
		msjError=msjError+"<b>Monto Total:</b> Contiene un Formato Invalido<br>"
		}
	if(!validaNumero(saldo)) {
		campoError(form.sald);
		msjError=msjError+"<b>Saldo Pendiente :</b> Contiene un Formato Invalido<br>"
		}
	if(error==1) {
		muestraMensaje(VerMensaje("E",msjError));		
		}	
	
	else {	
		
		muestraMensaje(VerMensaje("L",""));
		var ajax=nuevoAjax();
		ajax.open("POST", urlDestino, true);
		ajax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");		
		ajax.send("emp="+empr+"&tip="+tipo+"&cond="+condi+"&ser="+escape(seri)+
				  "&cor="+escape(corr)+
				  "&femi="+femis+"&fven="+fvenc+"&mone="+moned+"&mont="+monto+"&sald="+saldo+
				  "&alias="+aliass+"&opt="+opcion+"&cli="+valorr);	
		ajax.onreadystatechange=function() {
			if (ajax.readyState==4) {
				var respuesta=ajax.responseText;
				if(respuesta=="OK") {
					if(opcion=="NEW") var texto=VerMensaje("N","");
					else var texto=VerMensaje("U","");
					}
				else {
					if(respuesta=="docpago") {
						campoError(form.tip);
						campoError(form.ser);
						campoError(form.cor);
						msjError="<b>Número Correlativo:</b> El Documento "+seri+"-"+corr+"<br>";
						msjError=msjError+"Ya se Encuentra registrado en el Sistema<br>";
						}
					else msjError=respuesta;
					var texto=VerMensaje("E",msjError);
					}
				muestraMensaje(texto);
			}
		}
	}
}